<?php

declare(strict_types=1);

namespace Gls\GlsPoland\Soap\Engine;

use Gls\GlsPoland\Soap\Engine\HttpBinding\SoapRequest;

interface EncoderInterface
{
    public function encode(string $method, array $arguments): SoapRequest;
}
